View Issue Details

IDProjectCategoryLast Update
0019190AI War 2[All Projects] Gameplay IssueFeb 2, 2018 11:36 pm
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status closedResolutionfixed 
Product Version0.450 Sound! 
Fixed in Version 
Summary0019190: Hitting "P" in game select screen starts game
DescriptionI was in the "Start game" screen deciding which map to use and I hit the "P" button. It immediately unpaused the game (I hadn't clicked start yet), and I was in game.

I don't think "P" should be a shortcut for Start Game. Now, weirdly in Input_MainHandler.cs it looks like it checks for this condition:
                case "TogglePause":
                    {
                        if ( Engine_Universal.RunStatus == RunStatus.GameStart ) <==== shouldn't that prevent this from happening?
                            return;
                        GameCommand command = GameCommand.Create( GameCommandType.TogglePause );
                        World_AIW2.Instance.QueueGameCommand( command, true );
                    }
                    break;

I see in some other places that a different condition is used to see whether the game has started;
                        if ( !World.Instance.IsLoaded )
                            return;

Maybe that check should be used instead?
TagsNo tags attached.

Activities

BadgerBadger

Dec 6, 2017 11:27 pm

manager   ~0046616

This is still an issue in .609

BadgerBadger

Feb 1, 2018 10:32 am

manager   ~0046811

So the game actually "Starts" by unpausing itself; the Start Game button and "P" execute the same call. I propose to add an optional argument to EndpointFunctions.TogglePause , and have togglePause check

if (I have never been unpaused && this unpause is not coming from GameSetup (ie it doesn't have the optional parameter set)
     ignore // the user has hit P in the game select screen

BadgerBadger

Feb 2, 2018 11:36 pm

manager   ~0046843

Fixed!

Issue History

Date Modified Username Field Change
Jun 25, 2017 11:03 pm BadgerBadger New Issue
Dec 6, 2017 11:27 pm BadgerBadger Note Added: 0046616
Jan 26, 2018 10:11 am Dune Assigned To => BadgerBadger
Jan 26, 2018 10:11 am Dune Status new => assigned
Feb 1, 2018 10:32 am BadgerBadger Note Added: 0046811
Feb 2, 2018 11:36 pm BadgerBadger Status assigned => closed
Feb 2, 2018 11:36 pm BadgerBadger Resolution open => fixed
Feb 2, 2018 11:36 pm BadgerBadger Note Added: 0046843